# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?__python2: %global __python2 %__python}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           python-pyhsm
Version:        1.0.4l
Release:        2%{?dist}
Summary:        Python module to talk to YubiHSM hardware

License:        BSD
URL:            https://github.com/Yubico/python-pyhsm
Source0:        https://github.com/Yubico/python-pyhsm/archive/%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  pyserial
BuildRequires:  python-sqlalchemy
BuildRequires:  python-crypto
BuildRequires:  python-daemon

%description
PyHSM is a python module and set of utilities to manage a YubiHSM, 
Yubico's Hardware Security Module. 

%prep
%setup -q

%build
%py2_build

%install
%py2_install

# Install utils
cd utils
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -p -c -m 755 yhsm-daemon $RPM_BUILD_ROOT/usr/bin
install -p -c -m 755 yhsm-db-export $RPM_BUILD_ROOT/usr/bin
install -p -c -m 755 yhsm-db-import $RPM_BUILD_ROOT/usr/bin
install -p -c -m 755 yhsm-decrypt-aead $RPM_BUILD_ROOT/usr/bin
install -p -c -m 755 yhsm-generate-keys $RPM_BUILD_ROOT/usr/bin
install -p -c -m 755 yhsm-keystore-unlock $RPM_BUILD_ROOT/usr/bin
install -p -c -m 755 yhsm-linux-add-entropy $RPM_BUILD_ROOT/usr/bin

# Install man page for utils
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -p -c -m 644 yhsm-daemon.1 $RPM_BUILD_ROOT/%{_mandir}/man1
install -p -c -m 644 yhsm-db-export.1 $RPM_BUILD_ROOT/%{_mandir}/man1
install -p -c -m 644 yhsm-db-import.1 $RPM_BUILD_ROOT/%{_mandir}/man1
install -p -c -m 644 yhsm-decrypt-aead.1 $RPM_BUILD_ROOT/%{_mandir}/man1
install -p -c -m 644 yhsm-generate-keys.1 $RPM_BUILD_ROOT/%{_mandir}/man1
install -p -c -m 644 yhsm-keystore-unlock.1 $RPM_BUILD_ROOT/%{_mandir}/man1
install -p -c -m 644 yhsm-linux-add-entropy.1 $RPM_BUILD_ROOT/%{_mandir}/man1

# NOTE: to run tests you need an active local yubihsm.
#check
#pushd python2
#{__python2} setup.py test
#popd

%files
%license COPYING
%doc AUTHORS examples NEWS README.adoc Tests BLURB doc README
%{python2_sitelib}/*
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon Nov 30 2015 Kevin Fenzi <kevin@scrye.com> 1.0.4l-2
- Changes from review

* Sat Sep 12 2015 Kevin Fenzi <kevin@scrye.com> 1.0.4l-1
- Initial version for review
